## gimpbrushes

gimpbrushes — Functions for manipulating brushes.

## Functions

gboolean | gimp_brushes_refresh ()
gchar ** | gimp_brushes_get_list ()
gchar * | gimp_brushes_get_brush ()
gboolean | gimp_brushes_set_brush ()
gdouble | gimp_brushes_get_opacity ()
gboolean | gimp_brushes_set_opacity ()
GimpLayerMode | gimp_brushes_get_paint_mode ()
gboolean | gimp_brushes_set_paint_mode ()
gint | gimp_brushes_get_spacing ()
gboolean | gimp_brushes_set_spacing ()
gchar * | gimp_brushes_get_brush_data ()

## Description

Functions related to getting and setting brushes.

## Functions

### gimp_brushes_refresh ()

    gboolean
    gimp_brushes_refresh (void);

Refresh current brushes. This function always succeeds.

This procedure retrieves all brushes currently in the user's brush path and updates the brush dialogs accordingly.

#### Returns

TRUE on success.

### gimp_brushes_get_list ()

    gchar **
    gimp_brushes_get_list (const gchar *filter,
                           gint *num_brushes);

Retrieve a complete listing of the available brushes.

This procedure returns a complete listing of available GIMP brushes. Each name returned can be used as input to the `gimp_context_set_brush()` procedure.

#### Parameters

filter | An optional regular expression used to filter the list. |
num_brushes | The number of brushes in the brush list. |

#### Returns

The list of brush names. The returned value must be freed with `g_strfreev()`.

### gimp_brushes_get_brush ()

    gchar *
    gimp_brushes_get_brush (gint *width,
                            gint *height,
                            gint *spacing);

`gimp_brushes_get_brush` is deprecated and should not be used in newly-written code.

Use `gimp_context_get_brush()` instead.

#### Parameters

width | The brush width. |
height | The brush height. |
spacing | The brush spacing. |

#### Returns

The brush name.

### gimp_brushes_set_brush ()

    gboolean
    gimp_brushes_set_brush (const gchar *name);

`gimp_brushes_set_brush` is deprecated and should not be used in newly-written code.

This procedure is deprecated! Use `gimp_context_set_brush()` instead.

#### Parameters

name | The brush name. |

#### Returns

TRUE on success.

### gimp_brushes_get_opacity ()

    gdouble
    gimp_brushes_get_opacity (void);

`gimp_brushes_get_opacity` is deprecated and should not be used in newly-written code.

This procedure is deprecated! Use `gimp_context_get_opacity()` instead.

#### Returns

The brush opacity.

### gimp_brushes_set_opacity ()

    gboolean
    gimp_brushes_set_opacity (gdouble opacity);

`gimp_brushes_set_opacity` is deprecated and should not be used in newly-written code.

This procedure is deprecated! Use `gimp_context_set_opacity()` instead.

#### Parameters

opacity | The brush opacity. |

#### Returns

TRUE on success.

### gimp_brushes_get_paint_mode ()

    GimpLayerMode
    gimp_brushes_get_paint_mode (void);

`gimp_brushes_get_paint_mode` is deprecated and should not be used in newly-written code.

This procedure is deprecated! Use `gimp_context_get_paint_mode()` instead.

#### Returns

The paint mode.

### gimp_brushes_set_paint_mode ()

    gboolean
    gimp_brushes_set_paint_mode (GimpLayerMode paint_mode);

`gimp_brushes_set_paint_mode` is deprecated and should not be used in newly-written code.

This procedure is deprecated! Use `gimp_context_set_paint_mode()` instead.

#### Parameters

paint_mode | The paint mode. |

#### Returns

TRUE on success.

### gimp_brushes_get_spacing ()

    gint
    gimp_brushes_get_spacing (void);

`gimp_brushes_get_spacing` is deprecated and should not be used in newly-written code.

Use `gimp_brush_get_spacing()` instead.

#### Returns

The brush spacing.

### gimp_brushes_set_spacing ()

    gboolean
    gimp_brushes_set_spacing (gint spacing);

`gimp_brushes_set_spacing` is deprecated and should not be used in newly-written code.

Use `gimp_brush_set_spacing()` instead.

#### Parameters

spacing | The brush spacing. |

#### Returns

TRUE on success.

### gimp_brushes_get_brush_data ()

    gchar *
    gimp_brushes_get_brush_data (const gchar *name,
                                 gdouble *opacity,
                                 gint *spacing,
                                 GimpLayerMode *paint_mode,
                                 gint *width,
                                 gint *height,
                                 gint *length,
                                 guint8 **mask_data);

`gimp_brushes_get_brush_data` is deprecated and should not be used in newly-written code.

Use `gimp_brush_get_pixels()` instead.

#### Parameters

name | The brush name (\"\" means current active brush). |
opacity | The brush opacity. |
spacing | The brush spacing. |
paint_mode | The paint mode. |
width | The brush width. |
height | The brush height. |
length | Length of brush mask data. |
mask_data | The brush mask data. |

#### Returns

The brush name.

## Types and Values